/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.example.service;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import java.awt.GridLayout;
import java.awt.Font;

public class ActivationGUI
{
    
    JPanel     panel;
    JLabel     rmidLabel;
    JTextField rmidField;
    GridLayout classesGUILayout;

    public ActivationGUI( JPanel panel, String text) 
    {
	
	classesGUILayout = (new GridLayout(0, 2));
	classesGUILayout.setHgap(3);
	classesGUILayout.setVgap(3);
	panel.setLayout(classesGUILayout);

	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));

	rmidLabel = new JLabel("Optional switches:");
	rmidLabel.setHorizontalAlignment(JLabel.CENTER);

	rmidField = new JTextField();

	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add(rmidLabel);
	panel.add(rmidField);
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));

    }//end-constructor

    public String getrmidOptions() {
	return rmidField.getText();
    }
    
}//end-class









