/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.example.service;

import java.io.File;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JPanel;
import java.awt.GridLayout;
import java.awt.Font;


public class TxnGUI
{
    
    JPanel     panel;
    JLabel     txnLabel,txnOptionsLabel;
    JLabel     fill1,fill2,fill3,fill4;
    JTextField txnField,txnOptionsField;
    GridLayout txnGUILayout;

    public TxnGUI( JPanel panel, String text) 
    {
	
	txnGUILayout = (new GridLayout(0, 2));
	txnGUILayout.setHgap(3);
	panel.setLayout(txnGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));


	txnLabel = new JLabel("Location of Txn LOG directory:");
	txnLabel.setHorizontalAlignment(JLabel.RIGHT);

	txnOptionsLabel = new JLabel("Txn Server Options:");
	txnOptionsLabel.setHorizontalAlignment(JLabel.RIGHT);
	
	txnField = new JTextField(File.separator + "tmp" +
				  File.separator + "txn_log");

	txnOptionsField = new JTextField();	

	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add(txnLabel);
	panel.add(txnField);
	panel.add(txnOptionsLabel);
	panel.add(txnOptionsField);
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));

    }//end-constructor
    
    public String getTxnLogDir() {
	return txnField.getText();
    }

    public String getTxnOptions() {
	return txnOptionsField.getText();
    }
}//end-class





