/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */

package com.sun.jini.mahout;

/**
 * This interface is provided for the development of outrigger and
 * mahalo QA tests, not for general use.  It is subject to deletion and/or
 * change without notice.
 */
public interface KillVMAdmin {
    /**
     * Abruptly kill the VM the service is running in.  Should not perform
     * any cleanup.  This call is asynchronous.
     * @return An estimate of the number of milliseconds that will elapse
     * before the VM is killed
     */
    public long killVM() throws java.rmi.RemoteException;
}
