/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.mahout;

import net.jini.core.lookup.*;
import net.jini.discovery.*;

import java.net.DatagramPacket;
import java.net.MulticastSocket;
import java.net.Socket;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.AccessException;
import java.util.Iterator;

import net.jini.core.lookup.*;




/**
 * A <code>Locator</code> implements the
 * methods needed in order to find directory service
 *
 * @author Ken Arnold
 * @author Gary Holness
 *
 */

public abstract class Locator {
    public Locator() {
    }

    public abstract Object locate();
}
