/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package com.sun.jini.mahalo;

import com.sun.jini.mahalo.log.*;

import com.sun.jini.mahalo.ParticipantHandle;
import net.jini.core.transaction.server.TransactionManager;
import net.jini.core.transaction.server.TransactionParticipant;
import java.io.Serializable;
/**
 * A <code>LogRecord</code> which encapsulates a participant
 * being instructed to perform the prepareAndCommit optimization.
 *
 * @author Gary Holness
 */
class PrepareAndCommitRecord extends ParticipantModRecord {
    static final long serialVersionUID = -4355088085028784921L;

    PrepareAndCommitRecord(ParticipantHandle part, int result)
    {
	super(part, result);
    }
}

