/*
 * Copyright (c) 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun Community Source License
 * Jini(TM) Technology Core Platform, v.1.0 (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of
 * the License at http://java.sun.com/products/jini. Software distributed
 * under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied.  See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * CopyrightVersion v1.0_Jini
 */
package net.jini.lookup.entry;

/**
 * This interface indicates that an Entry class is created and
 * modified by the service with which it is associated.  Parties other
 * than the service that registered itself should not attempt to add
 * or modify any object that implements this interface.
 *
 * @see net.jini.core.entry.Entry
 * @author Bryan O'Sullivan
 */
public interface ServiceControlled {
}
